Bug 631220

Summary: FTBFS synfig-0.62.00-3.fc13
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: synfigAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 14CC: lkundrak, luya, luya_tfz, segg.gill
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-23 06:53:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 596849    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log
none
patch for src/synfig/canvas.cpp
none
change to synfig-0.62.00-3.fc13.src.rpm synfig.spec none

Description FTBFS 2010-09-07 13:24:08 EDT
synfig-0.62.00-3.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-09-07 13:24:12 EDT
Created an attachment (id=444562)
root.log

root.log for i386
Comment 2 FTBFS 2010-09-07 13:24:13 EDT
Created an attachment (id=444563)
build.log

build.log for i386
Comment 3 FTBFS 2010-09-07 13:24:14 EDT
Created an attachment (id=444564)
mock.log

mock.log for i386
Comment 4 FTBFS 2010-09-07 13:24:19 EDT
Created an attachment (id=444565)
root.log

root.log for x86_64
Comment 5 FTBFS 2010-09-07 13:24:21 EDT
Created an attachment (id=444566)
build.log

build.log for x86_64
Comment 6 FTBFS 2010-09-07 13:24:22 EDT
Created an attachment (id=444567)
mock.log

mock.log for x86_64
Comment 7 Gilles J. Seguin 2010-11-17 20:02:46 EST
Created attachment 461189 [details]
patch for src/synfig/canvas.cpp
Comment 8 Gilles J. Seguin 2010-11-17 20:07:31 EST
patch for fixing compilation see attachment
patch for synfig.spec
- adding the patch to build
- BuildRequires:  libsigc++-devel needed
Comment 9 Gilles J. Seguin 2010-11-17 20:12:06 EST
Created attachment 461190 [details]
change to synfig-0.62.00-3.fc13.src.rpm synfig.spec

tested on released Fedora 14
Comment 10 Luya Tshimbalanga 2010-11-18 14:53:41 EST
I attempt to rebuild against new upstream version but got:

Patch #1 (synfig-0.62.00-ltld.patch):
+ /bin/cat /home/luya/rpmbuild/SOURCES/synfig-0.62.00-ltld.patch
+ /usr/bin/patch -s -p1 -b --suffix .ltdl --fuzz=0
1 out of 2 hunks FAILED -- saving rejects to file configure.ac.rej
error: Bad exit status from /var/tmp/rpm-tmp.SlOOtO (%prep)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.SlOOtO (%prep)

I am not sure what causes that failure for ltld patch.
Comment 11 Lubomir Rintel 2010-11-23 06:53:21 EST
Fixed in master; thanks for the patch.